Skip to main content
PUT
Update an extra cost

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

workOrderId
integer
required

ID of the work order.

extraCostId
integer
required

ID of the extra cost line.

Body

application/json
name
string
required

Name/description of the cost.

Maximum string length: 255
Example:

"Plating"

quantity
number
required

Quantity per unit produced, up to 6 decimal places.

Required range: 0 <= x <= 1000000000000
Example:

2

unit_price
number
required

Unit price, up to 2 decimal places. quantity × unit_price may not exceed 99,999,999.99.

Required range: 0 <= x <= 99999999.99
Example:

50

Response

Extra cost line updated

data
object